UnicodeUnpairedSurrogateRemover (Apache Commons Text 1.11.0 API)
Description: declaration: package: org.apache.commons.text.translate, class: UnicodeUnpairedSurrogateRemover

Package org.apache.commons.text.translate

# Class UnicodeUnpairedSurrogateRemover

java.lang.Object
org.apache.commons.text.translate.CharSequenceTranslator
org.apache.commons.text.translate.CodePointTranslator
org.apache.commons.text.translate.UnicodeUnpairedSurrogateRemover

public class UnicodeUnpairedSurrogateRemover extends CodePointTranslator
Helper subclass to CharSequenceTranslator to remove unpaired surrogates.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnicodeUnpairedSurrogateRemover()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `translate(int codePoint, Writer writer)`
  Implementation of translate that throws out unpaired surrogates.

  ### Methods inherited from class org.apache.commons.text.translate.CodePointTranslator

  `translate`

  ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

  `hex, translate, translate, with`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnicodeUnpairedSurrogateRemover

    public UnicodeUnpairedSurrogateRemover()

- ## Method Details

  - ### translate

    public boolean translate(int codePoint, Writer writer) throws IOException
    Implementation of translate that throws out unpaired surrogates. Translates the specified code point into another.
    Specified by:
      `translate` in class `CodePointTranslator`
    Parameters:
      `codePoint` - int character input to translate
      `writer` - Writer to optionally push the translated output to
    Returns:
      boolean as to whether translation occurred or not
    Throws:
      `IOException` - if and only if the Writer produces an IOException